at.chipkarte.client.elgaad.soap

## Class Name

- Object
- - at.chipkarte.client.elgaad.soap.Name

-     public class Name
      extends Object

  Namensdaten einer Person.
  Das Objekt wird in unterschiedlichen Funktionen und Objekten verwendet. Die Angabe- bzw. Versorgungsbedingungen der einzelnen Parameter sind dabei abhängig ob das Objekt für die Eingabe oder Ausgabe verwendet wird.
  Die Bedingungen für die Angabe bei Nutzung als Eingabeobjekt, sind für dieses Objekt bei den Parametern unter "Eingabebedingung" angegeben. Hierbei wird zusätzlich unterschieden, ob der Code zwecks "Erfassung" oder "Änderung" oder "Abfrage" angegeben wird.
  Die Bedingungen für die Befüllung der Parameter bei Nutzung als Ausgabeobjekt, sind bei den Parametern unter "Ausgabebedingung" angegeben.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Name()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getNachname()` Nachname der Person.
    `String` | `getTitelhinten()` Titel hinten der Person.
    `String` | `getTitelvorne()` Titel vorne der Person.
    `String` | `getVorname1()` Erster Vorname der Person.
    `String` | `getVorname2()` Zweiter Vorname der Person.
    `void` | `setNachname(String nachname)`
    `void` | `setTitelhinten(String titelhinten)`
    `void` | `setTitelvorne(String titelvorne)`
    `void` | `setVorname1(String vorname1)`
    `void` | `setVorname2(String vorname2)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Name

          public Name()

  - ### Method Detail

    - #### getNachname

          public String getNachname()

      Nachname der Person.
      Eingabebedingung:
      Erfassung: Kann. Für die Erfassung des Namens des Patienten und von GDAs gilt: Wird kein Nachname angegeben, wird automatisch ein Nachname anhand der vorhandenen Daten des Dialogaufbaus (GDA) bzw. anhand der im eCS bekannten Personendaten zur SV-Nummer gesetzt.
      Änderung: Kann. Für die Erfassung des Namens des Patienten und von GDAs gilt: Wird kein Nachname angegeben, wird automatisch ein Nachname anhand der vorhandenen Daten des Dialogaufbaus (GDA) bzw. anhand der im eCS bekannten Personendaten zur SV-Nummer gesetzt.
      Abfrage: Kann.
      Ausgabebedingung: Muss.
      Format: alphanumerisch.
      Returns:
        Nachname.

    - #### getVorname1

          public String getVorname1()

      Erster Vorname der Person.
      Eingabebedingung:
      Erfassung: Kann. Für die Erfassung des Namens des Patienten und von GDAs gilt: Wird kein Nachname angegeben, wird automatisch ein Vorname anhand der vorhandenen Daten des Dialogaufbaus (GDA) bzw. anhand der im eCS bekannten Personendaten zur SV-Nummer gesetzt.
      Änderung: Kann. Für die Erfassung des Namens des Patienten und von GDAs gilt: Wird kein Nachname angegeben, wird automatisch ein Vorname anhand der vorhandenen Daten des Dialogaufbaus (GDA) bzw. anhand der im eCS bekannten Personendaten zur SV-Nummer gesetzt.
      Abfrage: Kann.
      Ausgabebedingung: Muss.
      Format: alphanumerisch.
      Returns:
        Erster Vorname.

    - #### getVorname2

          public String getVorname2()

      Zweiter Vorname der Person.
      Eingabebedingung:
      Erfassung: Kann.
      Änderung: Kann.
      Abfrage: Kann.
      Ausgabebedingung: Kann.
      Format: alphanumerisch.
      Returns:
        Zweiter vorname.

    - #### getTitelhinten

          public String getTitelhinten()

      Titel hinten der Person.
      Eingabebedingung:
      Erfassung: Kann. Für die Erfassung des Namens des Patienten und von GDAs gilt: Wird kein Nachname angegeben, wird automatisch ein Titel vorne anhand der vorhandenen Daten des Dialogaufbaus (GDA) bzw. anhand der im eCS bekannten Personendaten zur SV-Nummer gesetzt.
      Änderung: Kann. Für die Erfassung des Namens des Patienten und von GDAs gilt: Wird kein Nachname angegeben, wird automatisch ein Titel vorne anhand der vorhandenen Daten des Dialogaufbaus (GDA) bzw. anhand der im eCS bekannten Personendaten zur SV-Nummer gesetzt.
      Abfrage: Kann.
      Ausgabebedingung: Kann.
      Format: alphanumerisch.
      Returns:
        Titel hinten.

    - #### getTitelvorne

          public String getTitelvorne()

      Titel vorne der Person.
      Eingabebedingung:
      Erfassung: Kann. Für die Erfassung des Namens des Patienten und von GDAs gilt: Wird kein Nachname angegeben, wird automatisch ein Titel hinten anhand der vorhandenen Daten des Dialogaufbaus (GDA) bzw. anhand der im eCS bekannten Personendaten zur SV-Nummer gesetzt.
      Änderung: Kann. Für die Erfassung des Namens des Patienten und von GDAs gilt: Wird kein Nachname angegeben, wird automatisch ein Titel hinten anhand der vorhandenen Daten des Dialogaufbaus (GDA) bzw. anhand der im eCS bekannten Personendaten zur SV-Nummer gesetzt.
      Abfrage: Kann.
      Ausgabebedingung: Kann.
      Format: alphanumerisch.
      Returns:
        Titel vorne.

    - #### setNachname

          public void setNachname(String nachname)

    - #### setVorname1

          public void setVorname1(String vorname1)

    - #### setVorname2

          public void setVorname2(String vorname2)

    - #### setTitelhinten

          public void setTitelhinten(String titelhinten)

    - #### setTitelvorne

          public void setTitelvorne(String titelvorne)